Bug 609298 - ruby QMF bindings can't query agents.
Summary: ruby QMF bindings can't query agents.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qpid-cpp   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Kim van der Riet
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords: Regression
Depends On: 599116
Blocks: 529243
TreeView+ depends on / blocked
 
Reported: 2010-06-29 21:53 UTC by Ted Ross
Modified: 2010-11-10 21:27 UTC (History)
7 users (show)

Fixed In Version: qpid-cpp-0.7.946106-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 599116
Environment:
Last Closed: 2010-11-10 21:27:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted Ross 2010-06-29 21:53:11 UTC
+++ This bug was initially created as a clone of Bug #599116 +++

Created an attachment (id=419106)
libvirt-list lists libvirt-qpid objects.

Description of problem:

I wrote a simple program to query libvirt-qpid some time ago.  This program no longer works with latest release in RHEL6.

Version-Release number of selected component (if applicable):

ruby-qmf-0.7.946106-2.el6.x86_64
libvirt-qpid-0.2.20-2.el6.x86_64
qpid-cpp-server-0.7.946106-2.el6.x86_64
qpid-cpp-client-0.7.946106-2.el6.x86_64


How reproducible:

Very

Steps to Reproduce:
1. Run qpidd, libvirt-qpid
2. Run libvirt-list.rb, note lack of return.
3.
  
Actual results:

No objects are found.

Expected results:

libvirt-qpid objects should be found.

Additional info:

libvirt-list.rb is attached.

--- Additional comment from imain@redhat.com on 2010-06-08 12:19:50 EDT ---

if you are using ruby to query libvirt-qpid, then yes.  libvirt-qpid is working fine as of the last patch.  However, the ruby qmf bindings are not working.

I think this should be high priority but will leave that up to tross.

--- Additional comment from jsarenik@redhat.com on 2010-06-22 06:36:34 EDT ---

This bug does not have any Target Milestone set.
Is that expected, Ian? This way it will be forgotten soon.
Please set it if you want this bug to be resolved. Thanks.

--- Additional comment from imain@redhat.com on 2010-06-28 16:13:51 EDT ---

OK, I'm setting this to high in the hopes it will be looked at. :)

--- Additional comment from imain@redhat.com on 2010-06-28 16:20:10 EDT ---

Well I'd like to see this fixed for rhel6 but am not sure what target milestone should be set to.  I set it to 'next version' for now?

Comment 6 releng-rhel@redhat.com 2010-11-10 21:27:45 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.